#!/bin/sh
########################################
###### powered by levi45 ###############
########################################

CAMNAME="OSCamPowerVu 11086-Emu"

remove_tmp () {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/oscam.* /tmp/*.oscam /tmp/.oscam
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
	/usr/bin/OscamPowerVu-11086 -c /usr/keys
	sleep 2
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	killall -9  OscamPowerVu-11086 2>/dev/null
	sleep 1
	remove_tmp
	;;
	*)
	$0 stop
	exit 0
	;;
esac

exit 0